-- Correctie op onjuist ingevoerde km stand poolauto

DEFINE thisfile = 'SGGR#40017.SQL'
DEFINE dbuser   = '^SGGR'
DEFINE custid   = 'SGGR'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;

SELECT adm.scriptspoolfile ('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;

WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------
UPDATE mld_melding
   SET mld_melding_start_key = mld_melding_kto_key
 WHERE mld_melding_start_key IS NULL
 and mld_stdmelding_key in ( 441,481);
------ payload end   ------

SET DEFINE OFF

BEGIN
   adm.systrackscriptId (
      '$Id$',
      1);
END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

@@ &custid